package widebase.rpc.interface

/** Client interface for clients.
 *
 * @author myst3r10n
 */
trait ClientInterface
  extends ControlInterface
  with TableFindInterface
  with TableLoadInterface
  with TableSaveInterface {

  override def find(authId: String, name: String)
    (implicit segmented: String = null): Boolean

  override def findDir(authId: String, name: String)
    (implicit parted: String = null, segmented: String = null): Boolean

  override def load(authId: String, name: String)
    (implicit segmented: String = null): Array[Byte]

  override def loadDir(authId: String, name: String)
    (implicit parted: String = null, segmented: String = null): Array[Byte]

  override def login(username: String, password: String): String
  override def logout(authId: String)
  override def remoteShutdown(authId: String)

  override def save(authId: String, name: String, bytes: Array[Byte])
    (implicit segmented: String = null)

  override def saveDir(authId: String, name: String, bytes: Array[Byte])
    (implicit parted: String = null, segmented: String = null)

}

