package widebase.rpc.interface

import msgpack.rpcx.interface.AuthInterface

/** Interface to find tables within database.
 *
 * @author myst3r10n
 */
trait TableFindInterface extends AuthInterface {

  /** Checks whether remote table exists.
   *
   * @param authId of client
   * @param name of table
   * @param segmented segment name
   *
   * @return true if exists, else false
   */
  def find(authId: String, name: String)
    (implicit segmented: String = null): Boolean

  /** Checks whether remote directory table exists.
   *
   * @param authId of client
   * @param name of table
   * @param parted partition name
   * @param segmented segment name
   *
   * @return true if exists, else false
   */
  def findDir(authId: String, name: String)
    (implicit parted: String = null, segmented: String = null): Boolean

}

