package widebase.rpc.interface

import msgpack.rpcx.interface.AuthInterface

/** Interface to load tables from remote database.
 *
 * @author myst3r10n
 */
trait TableLoadInterface extends AuthInterface {

  /** Load table from remote database.
   *
   * @param authId of client
   * @param name of table
   * @param segmented segment name
   *
   * @return bytes of [[widebase.db.table.Table]]
   */
  def load(authId: String, name: String)
    (implicit segmented: String = null): Array[Byte]

  /** Load table from remote database.
   *
   * @param authId of client
   * @param name of table
   * @param parted partition name
   * @param segmented segment name
   *
   * @return bytes of [[widebase.db.table.Table]]
   */
  def loadDir(authId: String, name: String)
    (implicit parted: String = null, segmented: String = null): Array[Byte]

}

