package widebase.rpc.interface

import msgpack.rpcx.interface.AuthInterface

/** Interface to save tables into remote database.
 *
 * @author myst3r10n
 */
trait TableSaveInterface extends AuthInterface {

  /** Save table into remote database.
   *
   * @param authId of client
   * @param name of table
   * @param bytes of table
   * @param segmented segment key
   */
  def save(authId: String, name: String, bytes: Array[Byte])
    (implicit segmented: String = null)

  /** Save table into remote directory table.
   *
   * @param authId of client
   * @param name of table
   * @param bytes of table
   * @param parted partition symbol
   * @param segmented segment key
   */
  def saveDir(authId: String, name: String, bytes: Array[Byte])
    (implicit parted: String = null, segmented: String = null)

}

